[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [avr-chat] avrdude problem with avrisp v2

From: R C
Subject: Re: [avr-chat] avrdude problem with avrisp v2
Date: Fri, 22 Jun 2007 09:58:30 +0100

On 21/06/07, Joerg Wunsch <address@hidden> wrote:
"R C" <address@hidden> wrote:

>          Using Port            : /dev/ttyUSB1
>          Using Programmer      : avrisp2

Hmm, you wrote that you are using an USB-serial converter.  The
avrisp2 programmer is intended for the AVRISP mkII which does not have
a serial port at all, but natively talks across USB.  While its
protocol is *basically* the same as the STK500v2 protocol, for
whatever reason, they omitted the serial framing on that device so it
is effectively incompatible with STK500v2-like devices.

My guess is that you are actually using an older AVRISP (mkI) device
with firmware revision 2.  That would be called avrispv2 in avrdude,
though you could as well simply call it stk500v2 as it's nothing else
from a software point of view.

ok, you're right, my mistake.

I have a avrisp (mkI) which has a serial port, but I have tried
avrisp2 and avrispv2 and the I still have the same error.

Though, I noticed that using a 5V board it works ok, but with a 3.3V board no.
Could it be that?


reply via email to

[Prev in Thread] Current Thread [Next in Thread]